Skip to main content
GET
Get one file import

Authorizations

Authorization
string
header
required

An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.

Path Parameters

import_id
string
required
Required string length: 1 - 64

Response

200 - application/json

Successful Response

completed_at
string<date-time> | null
required
created_at
string<date-time>
required

When the file was received

failed_rows
FailedRow · object[]
required

The first 20 failed rows Statisfy stored

failed_rows_truncated
boolean
required

True when more failed rows were stored than are shown

feed
string | null
required

The file feed the file matched; null for an upload

file_name
string | null
required

The file's name; null when a delivery carried several files

id
string
required
object
string | null
required

What an upload updates, e.g. account or people; null for a feed's file

rows
ImportRows · object | null
required

Null until the file is processed

source
enum<string>
required

How the file arrived

Available options:
upload,
email,
s3,
api
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed,
held